#!/bin/bash
# usage: convert3gp.sh yyzs.rmvb yyzs10.3gp 02:00:00 00:10:00 
# usage: convert3gp.sh 原视频 目的视频 开始时间点 持续时间

echo "`date`: $0 $1 $2 $3 $4 begin." >> timerec.log

tempfile=`mktemp`
rm $tempfile
tempfile=$tempfile.mkv
mkfifo $tempfile

mencoder -ss $3 -endpos $4 -noconfig all -oac pcm -ovc lavc -lavcopts vcodec=h263:vbitrate=200 -of lavf -lavfopts format=mkv -ofps 15 -vf scale=176:144 -o $tempfile $1 &

ffmpeg -y -i $tempfile -vcodec h263 -b 200k -r 15 -s 176x144 -aspect 11:9 -acodec libfaac -ac 2 -ar 44100 -ab 128k -f 3gp $2

rm $tempfile

echo `date` >> timerec.log
exit 0
